### Hierarchy

- Label

### Implements

- AfterContentInit
- AfterViewInit

## Index

### Inputs

- ariaLabel
- disabled
- helperText
- invalid
- invalidText
- labelInputID
- labelState
- skeleton
- warn
- warnText

### Constructors

- constructor

### Properties

- ariaLabel
- disabled
- helperText
- invalid
- invalidText
- labelClass
- labelInputID
- labelState
- skeleton
- textArea
- warn
- warnText
- wrapper
- wrapperClass
- labelCounter

### Methods

- isTemplate
- ngAfterContentInit
- ngAfterViewInit

## Constructors

### constructor

- new Label(): Label

- - Defined in src/input/label.component.ts:149

  #### Returns Label

## Properties

### ariaLabel

@Input()
ariaLabel: string

- Defined in src/input/label.component.ts:141

### disabled

@Input()
disabled: boolean = false

- Defined in src/input/label.component.ts:113

### helperText

@Input()
helperText: string | TemplateRef<any>

- Defined in src/input/label.component.ts:121

### invalid

@Input()
invalid: boolean = false

- Defined in src/input/label.component.ts:129

### invalidText

@Input()
invalidText: string | TemplateRef<any>

- Defined in src/input/label.component.ts:125

### labelClass

@HostBinding({"hostPropertyName":"class.bx--form-item"})
labelClass: boolean = true

- Defined in src/input/label.component.ts:149

### labelInputID

@Input()
labelInputID: string = "ibm-label-" + Label.labelCounter

- Defined in src/input/label.component.ts:104

### labelState

@Input()
labelState: "success" | "warning" | "error" | "" = ""

- Defined in src/input/label.component.ts:109

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/input/label.component.ts:117

### textArea

@ContentChild({"selector":"TextArea","opts":"{ static: false }"})
textArea: TextArea

- Defined in src/input/label.component.ts:147

### warn

@Input()
warn: boolean = false

- Defined in src/input/label.component.ts:133

### warnText

@Input()
warnText: string | TemplateRef<any>

- Defined in src/input/label.component.ts:137

### wrapper

@ViewChild({"selector":"wrapper","opts":"{ static: false }"})
wrapper: ElementRef<HTMLDivElement>

- Defined in src/input/label.component.ts:144

### wrapperClass

wrapperClass: string = "bx--text-input__field-wrapper"

- Defined in src/input/label.component.ts:99

### Static labelCounter

labelCounter: number = 0

- Defined in src/input/label.component.ts:95

## Methods

### isTemplate

- isTemplate(value: any): boolean

- - Defined in src/input/label.component.ts:179

  #### Parameters

  - ##### value: any

  #### Returns boolean

### ngAfterContentInit

- ngAfterContentInit(): void

- - Defined in src/input/label.component.ts:161

  #### Returns void

### ngAfterViewInit

- ngAfterViewInit(): void

- - Defined in src/input/label.component.ts:170

  #### Returns void

Generated using TypeDoc